#
# spec file for package finger (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         finger
Copyright:    BSD
Group:        Networking/Utilities
Requires:     netcfg
Provides:     nkitb:/usr/bin/finger
Autoreqprov:  on
Version:      1.0
Release:      94
Summary:      Show user information (client)
BuildRoot:    %{_tmppath}/finger-root
Source: finger-bsd-%{version}.tar.bz2
#Patch:  finger-bsd-%{version}.dif

%description
Finger is a utility which allows users to see information about system
users (login name, home directory, name, etc.), about the local and
about remote systems.

SuSE series: n

%package server
Version:      1.0
Release:      94
Summary:      Show user information (server)
Group:        Networking/Daemons
Requires:     netcfg
Provides:     nkitserv:/usr/sbin/in.fingerd
Autoreqprov:  on

%description server
The finger daemon implements a simple protocol based on RFC1196 that
provides an interface to the Name and Finger programs at several network
sites. The program is supposed to return a friendly, human-oriented
status report on either the system at the moment or a particular person in
depth.

SuSE series: n

%prep
%setup -n finger-bsd-%{version}
#%patch

%build
CFLAGS=$RPM_OPT_FLAGS ./configure %{_target_cpu}-suse-linux
make

%install
rm -Rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man3
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man5
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING NEWS README
/usr/bin/finger
%doc %{_mandir}/man1/finger.1.gz

%files server
%doc AUTHORS COPYING NEWS README
%doc %{_mandir}/man8/fingerd.8.gz
%doc %{_mandir}/man8/in.fingerd.8.gz
/usr/sbin/in.fingerd

%changelog -n finger
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Fri Mar 09 2001 - kukuk@suse.de
- Initial package, split from nkitb
